Hello Guest

LWJGL 1.0 Release Candidate 1 Released

  • 29 Replies
  • 28949 Views
*

Offline Matzon

  • *****
  • 2242
LWJGL 1.0 Release Candidate 1 Released
« on: January 07, 2007, 21:37:49 »
grab it here:
http://sourceforge.net/project/showfiles.php?group_id=58488

As always, consider donating if you like LWJGL.

Yes thats right! - The first release candidate, and hopefully only (yeah right).

Note:
applet test libraries are signed by lwjgl and includes fmod binaries that are used for demonstration purposes. You should only use the signed fmod lwjgl libs if you comply with the fmod license.
Applets are known to work in Firefox and Internet Explorer. Opera crashes for unknown reasons.

Changes:
Fixed Cursor animation in osx - now emulated.
AWTGLCanvas: Added exceptionOccurred to allow users to be notified of unhandled LWJGLExceptions in paint().
Slew of fixes, especially to context/display creation and input.

Note, as with the last couple of releases - FMOD and DevIL is supplied in the optional package. Download this if you need these libraries.
« Last Edit: February 04, 2007, 22:32:40 by Matzon »

*

Offline Jon

  • *
  • 14
Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #1 on: January 08, 2007, 07:01:28 »
Slew of fixes, especially to context/display creation and input.

Out of curiosity, is there a list somewhere where I could see what exactly these were? I'm still going back and forth with my testers on two outstanding issues (the long window creation which I'm *still* trying to get him to profile and the freezing one from just a few days ago) and would be very interested to see if any of those applied to them.

Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #2 on: January 08, 2007, 07:31:33 »
Hi,

Yes thats right! - The first release candidate, and hopefully only (yeah right).

Fantastic! DevIL works under Linux now, so I can finally remove my Windows installation which I only created so I could continue developing my project. Thanks!  ;D

However, when calling ILUT.create(), I get the following exception:

Code: [Select]
Exception during init: org.lwjgl.LWJGLException: Could not load ilut library.
...although libILUT.so is in the library path. LWJGL, IL and ILU all work, only trying to create ILUT throws this exception.  Maybe it's my fault, but I don't see how... ???

That doesn't really bother me as I don't need ILUT right now, but I thought I'd mention it anyway in case it's a bug...


Thanks again for all your work!

-Kylearan
« Last Edit: January 08, 2007, 07:34:04 by Kylearan »

Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #3 on: January 08, 2007, 07:33:38 »
Hi,

Out of curiosity, is there a list somewhere where I could see what exactly these [fixes] were?

You could browse the commit logs: http://cia.navi.cx/stats/project/LWJGL/.

Hope that helps,

        -Kylearan

*

Offline Matzon

  • *****
  • 2242
Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #4 on: January 08, 2007, 07:54:45 »
Hi,

Out of curiosity, is there a list somewhere where I could see what exactly these [fixes] were?

You could browse the commit logs: http://cia.navi.cx/stats/project/LWJGL/.

Hope that helps,

        -Kylearan


or use the changelogs: http://www.lwjgl.org/changelog.php

*

Offline Matzon

  • *****
  • 2242
Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #5 on: January 08, 2007, 07:56:33 »

However, when calling ILUT.create(), I get the following exception:

Code: [Select]
Exception during init: org.lwjgl.LWJGLException: Could not load ilut library....although libILUT.so is in the library path. LWJGL, IL and ILU all work, only trying to create ILUT throws this exception.  Maybe it's my fault, but I don't see how... ???

that seems to be a bug. ILUT should work on all platforms (small gotcha, Display has to be created on macosx before creating ILUT - because of some nativecode in DevIL).

Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #6 on: January 08, 2007, 18:56:20 »
Whoo hooo! Almost to version 1.0 ;D
Programmers will, one day, rule the world... and the world won't notice until its too late.Just testing the marquee option ;D

Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #7 on: January 09, 2007, 09:53:10 »
AWTGLCanvas: Added exceptionOccurred to allow users to be notified of unhandled LWJGLExceptions in paint().

Great! Thanks! :)

Looking forward to try this release.
Bubblomania - free, online, cute and psychedelic arcade game!
My Blog

Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #8 on: January 09, 2007, 10:43:33 »
I just rebuilt Bubblomania with this release, and I noticed some weird behaviour of the applet. This is probably not new for this release...

When scrolling the page down when the game is loading, and then scrolling up again, the view is squeezed together. This screenshot will make clear what I mean :) It stays like that until the applet is restarted.

Can I do something about this in my code?
Bubblomania - free, online, cute and psychedelic arcade game!
My Blog

Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #9 on: January 10, 2007, 04:08:31 »
However, when calling ILUT.create(), I get the following exception:

Code: [Select]
Exception during init: org.lwjgl.LWJGLException: Could not load ilut library.
...although libILUT.so is in the library path. LWJGL, IL and ILU all work, only trying to create ILUT throws this exception.  Maybe it's my fault, but I don't see how... ???

hello Kylearan,

which distribution did you use to see ILUT.create() throwing exception?
it seems it's working fine with me on FC 6.

*

Offline Matzon

  • *****
  • 2242
Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #10 on: January 10, 2007, 06:14:04 »
Thanks for testing numberR - I was trying to install Feisty Fawn to test this, but the installer crashed on me :(
Try to do a ldd libilut.so and check if there are any unmatched dependencies.

Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #11 on: January 10, 2007, 07:13:02 »
Hi,

which distribution did you use to see ILUT.create() throwing exception?
it seems it's working fine with me on FC 6.

I use Xubuntu 6.10 Edgy Eft.

Quote from: Matzon
Try to do a ldd libilut.so and check if there are any unmatched dependencies.

Ah, I feel like a newbie now...ldd showed that libSDL wasn't installed. After installing it, ILUT.create() works fine. :)  I had been confused by the error message about libILUT and didn't thought about using ldd to check dependancies...

-Kylearan

*

Offline Matzon

  • *****
  • 2242
Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #12 on: January 10, 2007, 10:12:38 »
hmm didn't think that sdl is needed *ponder*

Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #13 on: January 10, 2007, 15:53:29 »
Kylearan:

thanks :)

Matzon:

true, SDL is not needed to build DevIL, however, i did so since *.so from previous LWJGL versions had it linked...
if there is any plan for another rc, i can probably build it without SDL this time...

Re: LWJGL 1.0 Release Candidate 1 Released
« Reply #14 on: January 10, 2007, 15:54:46 »
Hi,

hmm didn't think that sdl is needed *ponder*

The ldd libILUT command printed out a dozen or so libraries, of which "libSDL-1.2.so.0" was the only one with the "not found" message. I installed it, and the package manager installed a whole bunch of other packages/libraries too which the libSDL packages seems to depend on. Afterwards, it worked - sorry, I didn't took exact notes of all the output. Let me now if I should remove the libSDL package again to try out any more detailed stuff if you feel that this needs more investigation.

-Kylearan